// liveUpdate

function drawMask(detection) {
  // we gaan animeren
  // daarvoor moeten we weten hoeveel tijd er verstreken is
  // sinds het begin van de de video
  // deze gebruiken we om de positie van de animatie te bepalen
  // voor het gemak willen we de tijd in seconden ipv. milliseconden:
  seconden = millis() / 1000
  
  
  stroke('blue')
  strokeWeight(3)
  rect(detection.x, detection.y, detection.width, detection.height)
  

  
  // bepaal het begin- en eindpunt van de animatie:
  let startpunt1 = detection.points[37]
  let eindpunt1 = {
    x: detection.points[37].x - 500,
    y: detection.points[37].y - 500
  }
  
  // haal de commentaar strepen weg om het begin- en eindpunt van de animatie te zien
//   strokePoints([
//     startpunt1,
//     eindpunt1
//   ])
  
  
  // we gaan 10 plaatjes tekenen
  // hiervoor gebruiken we een 'for()' loop
  for(let i = 0; i<10; i++) {
    // elk plaatje is een stapje verder in de animatie
    
    let offset = i/5
    let snelheid = 2
    
    // anders dan de sinus: "% 1" zorgt ervoor dat een getal boven de 1 terug gaat naar 0.
    let animatiePositie = (seconden + offset) / snelheid % 1;
       
    let punt_x = lerp(startpunt1.x, eindpunt1.x, animatiePositie)
    let punt_y = lerp(startpunt1.y, eindpunt1.y, animatiePositie)
    
    image(
      images.game7,
      punt_x - 10,
      punt_y -10,
      20,
      20
    )
  
  }
  
  
  
  /////// het rechter oog:
  let startpunt2 = detection.points[43]
  let eindpunt2 = {
    x: detection.points[43].x + 500,
    y: detection.points[43].y - 500
  }
  for(let i = 0; i<10; i++) {
    let offset = i/5
    let snelheid = 2
    let animatiePositie = (seconden + offset) / snelheid % 1
       
    let punt_x = lerp(startpunt2.x, eindpunt2.x, animatiePositie)
    let punt_y = lerp(startpunt2.y, eindpunt2.y, animatiePositie)
    
    image(
      images.game8,
      punt_x - 10,
      punt_y -10,
      20,
      20
    )
  
  }
  
} // hier eindigd de drawMask functie

/*
 * - Gebruik dit om je eigen maskter uit de vorige opdrachten nog verder te animeren!
 * TIP: Gebruik File -> Duplicate om een kopie te maken
 */